#cardPanel{
    display: flex;
    padding-left: 2rem;
    padding-right: 2rem;
    gap: 1rem;
    justify-content: center;
    margin-top: -5rem;
    width: 100%;
    overflow:hidden;

}

#cardPanel > .card {
    background-color: white;
    color: black;
    width: 30%;
    max-width: 480px;
    height: 16rem;
    z-index: 3;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding: 1rem;
    text-align: center;
    position: relative;
}

#cardPanel > .card::before {
    display: none;
  }




@media (max-width: 767px) {
    #cardPanel{
        flex-direction: column;
        width: 100%;
        padding-left: 0;
        padding-right: 0;
    }

    #cardPanel > .card {
        width: clamp(200px, 60%, 400px);
        position: relative;
        margin-left: 0.5rem;
        margin-right: 0.5rem;
        height: 13rem;

        
    }

    #cardPanel > .card.alignRight{
        margin-left: auto;
    }

    #cardPanel > .card.alignRight::before{
        left: -1rem;
        
    }

    #cardPanel > .card::before{
        display: block;
        position: absolute;
        content:'';
        height: 100%;
        width: 6px;
        background-color: var(--color-highlight);
        right: -1rem;
        top:0;
         
    }

    #cardPanel > .card::after{
        display: block;
        position: absolute;
        content:'';
        height: 6px;
        width: 100%;
        background-color: var(--color-primary);
        right: -2rem;
        transform: translateX(100%);
        top: 50%;
         
    }

    #cardPanel > .card.alignRight::after{
        left: -2rem;
        transform: translateX(-100%);

        
    }
    #cardPanel > .card{
        opacity: 0;
        transform: translateX(0%);
        transition: transform 1.2s ease-out, opacity 1.2s ease-out;
    }

    #cardPanel > .card:nth-child(odd) {
        transform: translateX(+120%);


    }

    #cardPanel > .card:nth-child(even) {
        transform: translateX(-120%);

        
    }
    #cardPanel > .card.visible{
        transform: translateX(0);
        opacity: 1;
    }



}

@media (min-width: 460px) AND (max-width: 767px) {
    #cardPanel > .card {
        height: 14rem

        
    }

}

@media (max-width: 460px){

    #cardPanel > .card {
        height: 12rem;

        
    }

    #cardPanel > .card::before{
        
        width: 4px;
        
         
    }

    #cardPanel > .card::after{
        height: 4px;
        
         
    }

}